export declare type NodeId = string;
export interface Node {
    id: NodeId;
    priority: number;
}
export declare class WeightedGraph {
    adjacencyList: {
        [key: NodeId]: {
            id: NodeId;
            weight: number;
        }[];
    };
    constructor();
    addVertex(vertex: NodeId): void;
    addEdge(vertex1: NodeId, vertex2: NodeId, weight: number): void;
    dijkstraCalculate(start: NodeId, finish: NodeId): string[];
}
